Requires write_products access scope.
For more info, refer to:
POST https://{handle}.myshopline.com/admin/openapi/v20261201/products/:product_id/resource_feedback.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Path Parameters
  • product_id string required
    Product ID
    Example: 16057476865495856634490282
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Request Body
  • resource_feedbackobject required
    Resources feedback content
  • messages array
    Feedback information , only state=require_actions effective
    Example: ["[This is a question]"]
  • resource_updated_at string
    Equivalent to updated_at time stamp .updated_at time stamp changes based on merchant operations .When needed , use it with feedback_generated_at to help determine whether the incoming feedback is obsolete or not compared with the feedback that has been received , and whether it should be ignored when it arrives
    Example: 2023-01-12T15:20:08+08:00
  • state string required
    Feedback status : require_actions , success
    Example: require_actions
  • feedback_generated_at string required
    Time to build effective load . used to help determine whether incoming feedback is obsolete or not , and whether it should be ignored when it arrives
    Example: 2023-01-12T15:20:08+08:00
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • resource_feedbackobject
    Resources feedback content
  • messages array
    Feedback information
    Example: ["[This is a question]"]
  • resource_id string
    Product ID
    Example: 16057476865495856634490282
  • resource_type string
    Fixing : Product
    Example: Product
  • resource_updated_at string
    The feedback update time generated by the sl system automatically is equivalent to updated_at
    Example: 2023-01-12T15:20:08+08:00
  • state string
    Feedback status : require_actions , success
    Example: require_actions
  • updated_at string
    Feedback update time automatically generated by sl system
    Example: 2023-01-12T15:20:08+08:00
  • created_at string
    Created time after sl system received feedback
    Example: 2023-01-12T15:20:08+08:00
  • feedback_generated_at string
    Time to build effective load . used to help determine whether incoming feedback is obsolete or not , and whether it should be ignored when it arrives
    Example: 2023-01-12T15:20:08+08:00
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201

ParamOptions

path required
header required

Body

required
{
  "resource_feedback": {
    "state": "require_actions",
    "feedback_generated_at": "2023-01-12T15:20:08+08:00",
    "messages": [
      "[This is a question]"
    ],
    "resource_updated_at": "2023-01-12T15:20:08+08:00"
  }
}

Language

curl --request POST \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201/products/product_id/resource_feedback.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Examples
Initiate feedback
Request
{
"resource_feedback": {
"messages": [
"This is a question"
],
"resource_updated_at": "2023-08-29T15:20:08+08:00",
"state": "requires_action",
"feedback_generated_at": "2023-08-29T15:20:08+08:00"
}
}
Response
{
"resource_feedback": {
"updated_at": "2023-08-29T16:32:13+08:00",
"created_at": "2023-08-29T16:32:13+08:00",
"feedback_generated_at": "2023-08-29T15:20:08+08:00",
"messages": [
"This is a question"
],
"resource_id": "16060878916899800731963144",
"resource_type": "Product",
"resource_updated_at": "2023-08-29T16:32:13+08:00",
"state": "requires_action"
}
}
Was this article helpful to you?